Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssl
Interface FTPSSLConfiguration

All Known Implementing Classes:
  FTPOverSSLConfiguration

    public interface FTPSSLConfiguration

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`java.lang.String` | `getAllowOverwrite()`
`boolean` | `getAppend()`
`boolean` | `getCommandChannelIsClear()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getFTPPassword()`
`int` | `getFTPPort()`
`java.lang.String` | `getFTPServer()`
`int` | `getFTPSSLPort()`
`java.lang.String` | `getFTPUser()`
`java.lang.String` | `getLocalDirectory()`
`boolean` | `getLocalDirectoryNameIsPattern()`
`java.lang.String` | `getLocalFile()`
`boolean` | `getLocalFileNameIsPattern()`
`long` | `getMaxRetry()`
`java.lang.String` | `getRemoteDirectory()`
`boolean` | `getRemoteDirectoryNameIsPattern()`
`java.lang.String` | `getRemoteFile()`
`boolean` | `getRemoteFileNameIsPattern()`
`long` | `getRetryInterval()`
`void` | `setAllowOverwrite(java.lang.String s)`
`void` | `setAppend(boolean b)`
`void` | `setCommandChannelIsClear(boolean b)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setFTPPassword(java.lang.String s)`
`void` | `setFTPPort(int i)`
`void` | `setFTPServer(java.lang.String s)`
`void` | `setFTPSSLPort(int i)`
`void` | `setFTPUser(java.lang.String s)`
`void` | `setLocalDirectory(java.lang.String s)`
`void` | `setLocalDirectoryNameIsPattern(boolean b)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setLocalFileNameIsPattern(boolean b)`
`void` | `setMaxRetry(long aRetry)`
`void` | `setRemoteDirectory(java.lang.String s)`
`void` | `setRemoteDirectoryNameIsPattern(boolean b)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setRemoteFileNameIsPattern(boolean b)`
`void` | `setRetryInterval(long aInterval)`

Method Detail

### getAppend

    boolean getAppend()

### setAppend

    void setAppend(boolean b)

### getAllowOverwrite

    java.lang.String getAllowOverwrite()

### setAllowOverwrite

    void setAllowOverwrite(java.lang.String s)

### getRemoteDirectory

    java.lang.String getRemoteDirectory()

### setRemoteDirectory

    void setRemoteDirectory(java.lang.String s)

### getRemoteFile

    java.lang.String getRemoteFile()

### setRemoteFile

    void setRemoteFile(java.lang.String s)

### getLocalDirectory

    java.lang.String getLocalDirectory()

### setLocalDirectory

    void setLocalDirectory(java.lang.String s)

### getLocalFile

    java.lang.String getLocalFile()

### setLocalFile

    void setLocalFile(java.lang.String s)

### getFirewallServer

    java.lang.String getFirewallServer()

### setFirewallPort

    void setFirewallPort(int i)

### getFirewallPort

    int getFirewallPort()

### setFirewallServer

    void setFirewallServer(java.lang.String s)

### getFirewallUser

    java.lang.String getFirewallUser()

### setFirewallUser

    void setFirewallUser(java.lang.String s)

### getFirewallPassword

    java.lang.String getFirewallPassword()

### setFirewallPassword

    void setFirewallPassword(java.lang.String s)

### getFirewallEnabled

    boolean getFirewallEnabled()

### setFirewallEnabled

    void setFirewallEnabled(boolean b)

### getFTPServer

    java.lang.String getFTPServer()

### setFTPServer

    void setFTPServer(java.lang.String s)

### setFTPPort

    void setFTPPort(int i)

### getFTPPort

    int getFTPPort()

### setFTPSSLPort

    void setFTPSSLPort(int i)

### getFTPSSLPort

    int getFTPSSLPort()

### getFTPUser

    java.lang.String getFTPUser()

### setFTPUser

    void setFTPUser(java.lang.String s)

### getFTPPassword

    java.lang.String getFTPPassword()

### setFTPPassword

    void setFTPPassword(java.lang.String s)

### setMaxRetry

    void setMaxRetry(long aRetry)

### getMaxRetry

    long getMaxRetry()

### setRetryInterval

    void setRetryInterval(long aInterval)

### getRetryInterval

    long getRetryInterval()

### getRemoteDirectoryNameIsPattern

    boolean getRemoteDirectoryNameIsPattern()

### setRemoteDirectoryNameIsPattern

    void setRemoteDirectoryNameIsPattern(boolean b)

### getCommandChannelIsClear

    boolean getCommandChannelIsClear()

### setCommandChannelIsClear

    void setCommandChannelIsClear(boolean b)

### getRemoteFileNameIsPattern

    boolean getRemoteFileNameIsPattern()

### setRemoteFileNameIsPattern

    void setRemoteFileNameIsPattern(boolean b)

### getLocalDirectoryNameIsPattern

    boolean getLocalDirectoryNameIsPattern()

### setLocalDirectoryNameIsPattern

    void setLocalDirectoryNameIsPattern(boolean b)

### getLocalFileNameIsPattern

    boolean getLocalFileNameIsPattern()

### setLocalFileNameIsPattern

    void setLocalFileNameIsPattern(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD